Bug 3219 - High network traffic causes snmpd to seg fault
Summary: High network traffic causes snmpd to seg fault
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp
Version: 6.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-02 19:57 UTC by fdragon
Modified: 2018-07-06 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-12 23:32:49 UTC


Attachments (Terms of Use)

Description fdragon 1999-06-02 19:57:23 UTC
When this is read by snmpd to report stats for mrtg, snmpd
will die. This is install of RedHat 6.0, with addition of
mrtg, MySQL, and some perl libraries all in RPM format.

This makes it hard to use SNMP to monitor the machines.

=====----- BEGIN cat /proc/net/dev -----=====
[jrothste@www jrothste]$ cat /proc/net/dev
Inter-|
Receive                                                |
Transmit
 face |bytes    packets errs drop fifo frame compressed
multicast|bytes    packets errs drop fifo colls carrier
compressed
    lo: 5272882   39868    0    0    0     0
0         0  5272882   39868    0    0    0     0
0          0
  eth0:2235709667 11573352    1    0    0     0
0         0 3739544558 11742385    0    0    0 210896
0          0
  eth1:1624327485 4789640    0    0    0     0
0         0 1072228659 3884288    0    0    0 147391
83          0
[jrothste@www jrothste]$
=====-----  END  cat /proc/net/dev -----=====

Comment 1 Jeff Johnson 1999-06-05 16:35:59 UTC
I'm changing this component to ucd-snmp because that's where
the fix will be.

The easiest workaround is to rebooot the machine in order to reset
the counters that are causing the snmpd segfault. There may also
be a more precise way (than renbooting) to reset the ethernet
counters.

------- Email Received From  Jason Rothstein <fdragon@io.com> 06/07/99 12:24 -------

Comment 2 eric 1999-06-11 19:42:59 UTC
Fixed in the ucd-snmp 3.6.2 release. The snmp daemon now rolls over
rather than core dumps when the size of the traffic counter exceeds 32
bits. MRTG has no problem with that happening, though its counts may
be off for the 5 minutes where the rollover happened. I have 3.6.2
RPM's at ftp://ftp.estinc.com/pub/unsupported and will upload them to
a Red Hat incoming site as soon as someone tells me how.

  -- Eric Lee Green, Enhanced Software Technologies Inc.
       eric@estinc.com

Comment 3 Jeff Johnson 1999-06-12 23:32:59 UTC
Fixed (by upgrading) in ucd-snmp-3.6.2-1. Thanks for the report.

Comment 4 Fedora Update System 2018-06-25 09:48:56 UTC
sssd-1.16.2-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5793dadb1d

Comment 5 Fedora Update System 2018-06-26 18:23:46 UTC
sssd-1.16.2-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5793dadb1d

Comment 6 Fedora Update System 2018-07-06 16:42:09 UTC
sssd-1.16.2-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.